# Changelog
All notable changes to this project will be documented in this file.
## [1.100.37] 2026-03-18
资源协作属性FullDuplex、AutoSpeedNegotiation类型变更为U8

## [1.100.36] - 2026-03-18
bmc.kepler.Managers.Security.File下新增方法Mkdir、Tar

# [1.100.35] - 2026-03-17
修改缺少逗号编译失败问题

# [1.100.34] - 2026-03-16
根据文档调整pcie、gpu、nic接口属性

## [1.100.33] - 2026-03-16
支持会话最大生命周期管理

## [1.100.32] - 2026-03-15
新增资源接口协作属性标识本地映射的环回IP

# [1.100.31] - 2026-03-15
新增资源协作接口
path:/bmc/kepler/Managers/:ManagerId/WebService
interface:bmc.kepler.Managers.WebService
property:AllowHttpDelete

## [1.100.30] - 2026-03-14
bmc.kepler.Systems.DPUCard.System下新增属性IndependentPowerControlEnabled

## [1.100.29] - 2026-03-14
CacheWayFPCEnabled默认值修改为true

## [1.100.28] - 2026-03-12
新增PCIeNVMe设备树接口

## [1.100.27] - 2026-03-09
bmc.kepler.UpdateService下新增方法FullImageUnpack

## [1.100.26] - 2026-03-06
bmc.kepler.Systems.Storage.Drive下TemperatureCelsius属性emitsChangedSignal变更为true

## [1.100.25] - 2026-02-28
新增path:/bmc/kepler/Managers/:ManagerId/InterChassisAuth/Certificates/:Id
新增path:/bmc/kepler/Managers/:ManagerId/InterChassisAuth/Certificates/:CertificateId/Subject
在bmc.kepler.CertificateService下新增属性InterChassisCertificateAuthEnabled
扩展CertificateUsageType枚举类型取值范围

# [1.100.24] - 2026-02-28
新增标准消息AwaitToUpdate

# [1.100.23] - 2026-02-28
bmc.kepler.AccountService.CertificateAuthentication下扩展属性InterChassisValidation取值范围
bmc.kepler.AccountService.CertificateAuthentication下新增方法ManageInterChassisWhitelist

# [1.100.22] - 2026-02-27
bmc.kepler.Systems.Storage.Drive接口下新增属性SlotPowerState和方法SetSlotPowerState

# [1.100.21] - 2026-02-26
资源协作接口bmc.kepler.Managers.Security.Resilience FileEvent信号的description位置更改

# [1.100.20] - 2026-02-26
bmc.kepler.Managers.Security.DICE接口下新增属性AttestationAccess、AttestationCustomExtensionFormat

# [1.100.19] - 2026-02-25
bmc.kepler.UpdateService.FirmwareRestore下新增资源协作方法FirmwareRestoreCheckReply，信号FirmwareRestoreCheckSignal

# [1.100.18] - 2026-02-25
超节点配置信息迁移到bmc.kepler.Chassis.SuperPodLabel接口下

# [1.100.17] - 2026-02-23
在bmc.kepler.Managers.TPCM.BaseInfo下新增资源协作方法TCMSelfTest

# [1.100.16] - 2026-02-13
bmc.kepler.Systems.NetworkPort.Metrics 接口下新增属性 RXDiscards、TXDiscards

## [1.100.15] - 2026-02-05
新增UB接口卡/bmc/kepler/Chassis/${ChassisId}/UBInterfaceCards/${Id},/bmc/kepler/Chassis/${ChassisId}/UBInterfaceCards/${Id}/Ports/${PortId}

## [1.100.14] - 2026-02-12
在bmc.kepler.Systems.FDMService下新增CacheWayFPCEnabled、CoreIsolationAlarmThreshold属性
在bmc.kepler.Systems.FDMDomain.CPURAS下新增IsolatedCoreCount属性

## [1.100.13] - 2026-02-12
bmc.kepler.Managers.NetworkProtocol.SNMP下新增SNMPSupported属性
bmc.kepler.EventService.Subscriptions.Snmp下新增SNMPTrapSupported、SNMPTrapBobSupported属性

## [1.100.12] - 2026-02-12
新增path：/bmc/kepler/Debug/PCIeMock
新增interface：bmc.kepler.Debug.PCIeMock

# [1.100.11] - 2026-02-12
bmc.kepler.Chip.JtagTarget下新增Verify方法

# [1.100.10] - 2026-02-12
新增支持SPIFlash器件类型, 新增bmc.kepler.Chip.FlashIO资源协作接口

## [1.100.9] - 2026-02-12
在bmc.kepler.Systems.NetworkAdapter.PortConfig下新增SetPortCount方法

## [1.100.8] - 2026-02-12
bmc.kepler.Systems.NetworkAdapter下新增方法Reset

## [1.100.7] - 2026-02-11
在bmc.kepler.Systems.Storage.Drive.DriveSubHealth下新增FailurePredicted属性

# [1.100.6] - 2026-02-11
新增path: /bmc/kepler/Systems/${SystemId}/PCIeDevices/PCIeCards/NPUCards/${Id}/PowerDevices/${Id}
新增interface: bmc.kepler.Systems.NPUCard.PowerDevice

## [1.100.5] - 2026-02-11
新增path: /bmc/kepler/Managers/:Id/FilterConfig
在bmc.kepler.Managers.FilterConfig新增资源协作接口方法AddFilterRule和DeleteFilterRule

## [1.100.4] - 2026-02-11
新增interface：bmc.kepler.Debug.EnergySavingScene，新增资源协作方法：MockActivatedModuleByDomain、MockEnergySavingStatusByDomain

## [1.100.3] - 2026-02-11
在bmc.kepler.Systems.HddBackplane下新增SlotCount属性

## [1.100.2] - 2026-02-10
interface：bmc.kepler.Systems.FDMService，新增方法：ExecuteScrubbing
interface：bmc.kepler.Systems.NPUFDMService，新增方法：ExecuteScrubbing

## [1.100.1] - 2026-02-08
新增interface：bmc.kepler.UpdateService.FirmwareInfo.ToBeActivated，新增属性：StagedVersion、StagedTime
bmc.kepler.UpdateService.FirmwareActive下新增属性AutoFirmwareActivationEnabled
bmc.kepler.UpdateService.FirmwareActiveInfo下新增属性ToBeActivatedFirmwareIds

## [1.100.1] - 2026-02-08
新增path：/bmc/kepler/Systems/:SystemId/NetworkAdapterPreloads/:ID
新增interface：bmc.kepler.Systems.NetworkAdapter.PortConfig，新增属性：PortCount、PortCountAllowableValues、NodeId

## [1.90.240] - 2026-02-07
1、增加资源协作路径：/bmc/kepler/Managers/:Id/SOC/GPIO，新增资源协作接口：bmc.kepler.Managers.SOC.GPIO，新增方法Read，新增信号ACLost
2、在眼图接口bmc.kepler.Managers.SOC.SerdesEyeDiagram下新增方法GetFourEyeDiagram


## [1.90.239] - 2026-01-31
在bmc.kepler.ProductInfo.FruCtrlCapabilities下新增NMISupported属性

## [1.90.238] - 2026-01-30
支持RS485对接温湿度传感器

## [1.90.237] - 2026-01-29
在bmc.kepler.Systems.FDMDomain.CPURAS下新增UBLinkFaultBitMap属性
在bmc.kepler.Systems.FDMDomain.NPURAS下新增UBLinkFaultBitMap属性

## [1.90.236] - 2026-01-27
在bmc.kepler.Systems.FDMService下新增MemCEStormDetectionMode属性，配置内存风暴检测模式

## [1.90.235] - 2026-01-27
在bmc.kepler.UpdateService.FirmwareActive下新增DeleteActiveAction方法，用于删除待生效对象

## [1.90.234] - 2026-01-26
新增/bmc/Tencent/Systems/:SystemId/Bios路径以及bmc.Tencent.Systems.Bios接口，新增bmc.Tencent.Systems.Bios接口属性ExportFirmwareEnabled

## [1.90.233] - 2026-01-26
在bmc.kepler.Chassis.EnergySavingScene下新增GetEnergySavingStatusWithDomains方法

## [1.90.232] - 2026-01-22
新增path:/bmc/kepler/Bus/I2cOverLocalBus/:Id

## [1.90.231] - 2026-01-22
ipmi迁移,在bmc.kepler.Chassis.SuperPodLabel下属性变更UBMDeployType改为UBMDeployMode,UBControlEnabled改为IsUBControlNode

## [1.90.230] - 2026-01-22
在bmc.kepler.UpdateService下新增方法ActiveStagedFirmwares/DiscardStagedFirmwares
在bmc.kepler.UpdateService.FirmwareInfo中新增属性StageSupported/RelatedItem/ComponentID/SubComponentID/FirmwareType/TargetUIDs
新增资源协作接口 bmc.kepler.UpdateService.FirmwareInfo.Stage，接口的属性有：FirmwareId、ActivateStatus、PackageName

## [1.90.229] - 2026-01-22
在bmc.kepler.Systems.PowerMgmt.OnePower下新增InputNum属性

## [1.90.228] - 2026-01-19
在bmc.kepler.UpdateService.FirmwareInventory下新增方法GetFirmwareList,在bmc.kepler.UpdateService.FirmwareInfo中新增属性FirmwareType

## [1.90.227] - 2026-01-17
在bmc.kepler.Systems.Storage.Controller下新增属性SlowDriveDetectionMode

## [1.90.226] - 2026-01-16
ipmi迁移,在bmc.kepler.Chassis.SuperPodLabel下新增属性TopologyType,ChassisId,UBMDeployType,IsUBFabricMode,UBControlEnabled,LogicalSlotNumber

## [1.90.225] - 2025-12-27
在bmc.ByteDance.Managers.EthernetInterfaces下新增属性DedicatedPortsBondEnabled

## [1.90.224] - 2025-12-17
在bmc.kepler.Chassis.PowerSubsystem.PowerSupply.Metrics接口新增属性

## [1.90.223] - 2025-12-17
bmc.kepler.Managers.EthernetInterfaces下新增MTUSize属性
bmc.kepler.Managers.EthernetInterfaces.EthGroup下新增MTUSize属性

## [1.90.222] - 2025-12-17
新增bmc.kepler.PowerEquipment.PowerDistribution.Metrics资源协作接口

## [1.90.221] - 2025-12-17
新增PowerEquipment相关资源协作接口

## [1.90.220] - 2025-12-17
新增资源协作接口bmc.kepler.Chassis.PowerSubsystem.PowerSupplies.Metrics

## [1.90.219] - 2025-12-16
在bmc.kepler.Chassis.ThermalSubsystem.Metrics接口新增属性

## [1.90.218] - 2025-12-15
bmc.kepler.Systems.NetworkPort.RelatedItems接口修改ProcessorPorts属性
bmc.kepler.Systems.Processor.Port接口修改Id属性描述

## [1.90.217] - 2025-12-15
在bmc.kepler.UpdateService.UpdateMgmt接口上新增LastUpgradeSuccess属性

## [1.90.216] - 2025-12-15
修改接口bmc.kepler.Managers.EthernetInterfaces.MgmtPort下的Silkscreen属性变更

## [1.90.215] - 2025-12-14
bmc.kepler.IpmiCore接口新增RPC方法GetIPMIChannel

## [1.90.214] - 2025-12-13
bmc.kepler.AccountService接口新增属性RequireChangePasswordAction

## [1.90.213] - 2025-12-13
新增资源协作接口属性ReadyToEnumerate

## [1.90.212] - 2025-12-13
资源协作接口新增泵类型属性

## [1.90.211] - 2025-12-10
在bmc.kepler.Systems.NetworkPort.Metrics接口新增属性

## [1.90.210] - 2025-12-8
资源协作接口支持redfish标准Pump资源

## [1.90.209] - 2025-12-7
修改目录opt/bmc/apps/mdb_interface/messages、opt/bmc/apps/mdb_interface/messages/custom.json权限为755
修改opt/bmc/apps/mdb_interface/messages/custom.json、opt/bmc/apps/mdb_interface/messages/base.json文件权限为444

## [1.90.208] - 2025-12-6
bmc.kepler.Systems.PowerStrategy新增PowerCappingFailureOptions属性

## [1.90.207] - 2025-12-5
支持客户定制代码

## [1.90.206] - 2025-12-5
在bmc.kepler.Systems.FruData.Overview接口下新增属性Health

## [1.90.205] - 2025-12-4
在bmc.kepler.Managers.TPCM.Config接口下新增属性:ComponentMeasurementPolicy

## [1.90.204] - 2025-12-4
资源协作接口bmc.kepler.Systems.DPUCard.Metrics下的属性NetworkAdapterChipTemperatureCelsius、NICSFPMaxTemperatureCelsius修改为发信号

## [1.90.203] - 2025-12-3
资源协作接口bmc.kepler.Managers.Security.Resilience新增信号FileEvent

## [1.90.202] - 2025-12-2
修改MTUSzie属性

## [1.90.201] - 2025-12-1
Uart对象的Id、BusType等属性变更为资源协作接口属性 新增Reset方法

# [1.90.200] - 2025-12-1
新增path:/bmc/kepler/PowerEquipment/PowerDistributions/:PowerDistributionId/Circuits/:CircuitId
新增interface:bmc.kepler.PowerEquipment.Circuit
新增属性Id、CircuitType、PhaseWiringType、NominalVoltage、InputVoltageStatus

# [1.90.199] - 2025-12-1
bmc.kepler.Managers.SSDPConfig补充NotifyEnabled和NotifyIPv6Scope属性

# [1.90.198] - 2025-11-29
bmc.kepler.Systems.OpticalModule接口下新增属性Id，SilkText
新增接口 bmc.kepler.Systems.NetworkPort.RelatedItems，新增属性 TransceiverLanes，ProcessorPorts
新增接口 bmc.kepler.Systems.OpticalModule.RelatedItems，新增属性 NetworkPortLanes
新增路径 /bmc/kepler/Systems/:SystemId/Processors/NPU/:ID/Ports/:ID 新增接口 bmc.kepler.Systems.Processor.Port，新增属性 Id，PortId，IODieId

# [1.90.197] - 2025-11-29
新增path:/bmc/kepler/Chassis/:ChassisId/Storage
新增interface:bmc.kepler.Chassis.Storage.StorageSetting
新增属性SSDMediaLifeLeftPercentThreshold

## [1.90.196] - 2025-11-29
bmc.kepler.Managers.EthernetInterfaces新增方法SetChassisLanSubNet

## [1.90.195] - 2025-11-28
资源协作接口bmc.kepler.Systems.NetworkPort新增属性MTUSize

# [1.90.194] - 2025-11-28
在bmc.kepler.Chassis.LeakDetection.LeakDetector接口下新增属性LeakDetectorType、Manufacturer、
Model、PartNumber、PhysicalContext、SerialNumber、ServiceLabel、LocationReference

## [1.90.193] - 2025-11-28
在bmc.kepler.SessionService.Session下新增资源协作属性SystemId

# [1.90.192] - 2025-11-28
bmc.kepler.Managers.SOC.DDR接口下新增方法GetNonIsolatedUCEAddress, GetIsolatedUCEPage
新增path: /bmc/kepler/Debug/Managers/:ManagerId/SOC/Env, 在该path下新增interface: bmc.kepler.Debug.Managers.SOC.DDR, 在该interface下新增方法: InjectUCE

# [1.90.191] - 2025-11-28
bmc.kepler.Managers.NodeLocation 新增属性LocationIdValidity

## [1.90.190] - 2025-11-28
资源协作接口bmc.kepler.LCN.Manage新增属性TimeSyncEnabled，用于开启或关闭BMC给LCNE时间同步功能

## [1.90.190] - 2025-11-28
新增bmc.CMCC.UpdateService接口

# [1.90.189] - 2025-11-27
在bmc.kepler.EventService.Subscriptions.Destination接口下新增属性Severities

# [1.90.188] - 2025-11-27
新增path：/bmc/kepler/Managers/:Id/DiagnosticService/ContaminationDetection
新增interface：bmc.kepler.Managers.DiagnosticService.ContaminationDetection
bmc.kepler.Managers.DiagnosticService.ContaminationDetection下新增方法Query、Initiate、Start、Shutdown
bmc.kepler.Systems.OpticalModule.Diagnose下新增属性ContaminationDetectionSupported

# [1.90.187] - 2025-11-27
bmc.kepler.Redfish.Task接口下新增属性TaskAutoDeleteTimeoutMinutes

# [1.90.186] - 2025-11-27
资源协作接口bmc.kepler.IpmiService.Firewall下新增方法AddWhiteList、RemoveWhiteList、GetWhiteList

# [1.90.185] - 2025-11-26
在bmc.kepler.Systems.DPUCard.Metrics下新增NICSFPMaxTemperatureCelsius属性

# [1.90.184] - 2025-11-26
资源协作接口bmc.kepler.Managers.EthernetInterfaces.EthGroup下新增属性SLAACAddressList和LinkLocalAddress

## [1.90.183] - 2025-11-26
支持显示漏液相关传感器状态

# [1.90.182] - 2025-11-26
在bmc.kepler.Chassis.EnergySavingMeasurement接口下新增属性MinWorkPSUCount
在bmc.kepler.Chassis.EnergySavingMeasurement接口下GetPolicyGuidances方法的返回参数新增CurrentPolicyName,RecommendedPolicyName参数
在bmc.kepler.Systems.PowerMgmt.OnePower接口下新增属性DeepSleepStandbyPowerWatts

## [1.90.181] - 2025-11-25
资源协作接口bmc.kepler.Systems.DPUCard下，新增属性BOM和CPLDProtocolVersion
资源协作接口bmc.kepler.Systems.DPUCard.Processor下，新增属性IMUVersion
资源协作对象DPUCard新增interface：bmc.kepler.Systems.DPUCard.Manager和bmc.kepler.Systems.DPUCard.Manager.SOL
新增资源协作接口bmc.kepler.Systems.DPUCard.Manager，新增属性：FirmwareVersion、ManagerType
新增资源协作接口bmc.kepler.Systems.DPUCard.Manager.SOL，新增属性：Enabled、SerialDirection，新增方法：SetSerialDirection

# [1.90.180] - 2025-11-26
PCIeFunction资源协作接口，修正四元组默认值

# [1.90.179] - 2025-11-25
在bmc.kepler.Systems.NPUFDMService下新增HbmHardFailureDetectionMode属性

# [1.90.178] - 2025-11-24
bmc.kepler.Chip接口下的HealthStatus属性变更为可读写
新增HealthStatusValidity属性表示HealthStatus的有效性

# [1.90.177] - 2025-11-24
bmc.kepler.Managers.EthernetInterface.PhyChip接口下新增Health属性

## [1.90.176] - 2025-11-24
在资源协作接口bmc.kepler.Chip.JtagTarget下新增方法Upgrade、Collect

# [1.90.175] - 2025-11-24
新增path:/bmc/kepler/LCNs/:Id/AccountService/Accounts
新增interface:bmc.kepler.LCN.ManagerAccountCollection

# [1.90.174] - 2025-11-24
bmc.kepler.Chassis接口下新增属性ChassisIdentifier

# [1.90.173] - 2025-11-23
新增path:/bmc/kepler/Systems/:SystemId/VncService
新增interface:bmc.kepler.Systems.VncService

# [1.90.172] - 2025-11-22
新增PCIeFunction资源协作接口

# [1.90.171] - 2025-11-22
bmc.kepler.Systems.FDMDomain.CPURAS接口下新增方法ClearCurrentPeriodMetrics
bmc.kepler.Systems.FDMDomain.MemoryRAS接口下新增方法ClearCurrentPeriodMetrics

# [1.90.170] - 2025-11-22
bmc.kepler.Chassis.Sensors接口下新增方法SetThresholds的请求参数Attributes类型变更

## [1.90.169] - 2025-11-21
bmc.kepler.FruCtrl.Systems.PowerMgmt.OnePower.Status接口新增DualInputVoltageStatus属性

## [1.90.168] - 2025-11-21
新增接口 bmc.kepler.Systems.PCIeSlot

## [1.90.167] - 2025-11-20
在bmc.kepler.AccountService.AccountPolicy接口下新增方法OnlineDeletable，
bmc.kepler.AccountService.ManagerAccount新增属性IsOnline，
bmc.kepler.Systems.Memory新增属性DramManufacture

## [1.90.166] - 2025-11-17
在bmc.kepler.Chassis.Sensors接口下新增方法SetThresholds

## [1.90.165] - 2025-11-15
新增接口 bmc.kepler.FruCtrl.PowerOffLock

## [1.90.164] - 2025-11-15
新增path:/bmc/kepler/Systems/:SystemId/GraphicalConsole
新增interface:bmc.kepler.Systems.GraphicalConsole

## [1.90.163] - 2025-11-14
bmc.kepler.Systems.NetworkAdapter.Status接口下新增PowerStatus属性

## [1.90.162] - 2025-11-14
修正TrustedComponentCertificate资源path

## [1.90.161] - 2025-11-13
在bmc.kepler.Managers.NetworkProtocol.SNMP下新增资源数属性HideCommunityStrings

## [1.90.160] - 2025-11-13
支持客户定制kvm

## [1.90.159] - 2025-11-11
新增接口 bmc.kepler.RoT.TrustedComponent
新增接口 bmc.kepler.RoT.ComponentIntegrity
新增接口 bmc.kepler.RoT.ComponentIntegrity.MeasurementSet
新增接口 bmc.kepler.RoT.ComponentIntegrity.SPDMMeasurement

## [1.90.158] - 2025-11-10
支持redfish补齐Drive相关资源

## [1.90.157] - 2025-11-8
bmc.kepler.Systems.Storage.Controller接口下新增UncorrectableParityErrorCount属性

## [1.90.156] - 2025-11-8
在/bmc/kepler/Chassis/:ChassisId路径下新增接口bmc.kepler.Chassis.ChassisCapabilities

## [1.90.155] - 2025-11-7
bmc.kepler.MicroComponent.Reboot接口下新增Process方法
PasswordForbidSetComplexityCheck错误的http响应码变更为400

## [1.90.154] - 2025-11-6
PowerLimitExceptionLogEvent的属性变更信号通知由false改为true

## [1.90.153] - 2025-11-5
新增path:/bmc/kepler/Systems/:SystemId/Mctp/Routing,该path下新增接口bmc.kepler.Release.Mctp.Routing

## [1.90.152] - 2025-11-5
在bmc.kepler.Systems.BiosUpgradeService下新增PreserveConfigEnabled属性

## [1.90.151] - 2025-11-5
bmc.kepler.LCN.Card 新增属性name

## [1.90.150] - 2025-11-4
新增资源协作接口bmc.kepler.Debug.Performance.Memory接口
在bmc.kepler.Debug.Performance.Memory接口下新增Stat方法

## [1.90.149] - 2025-11-4
方法上下文白名单中添加TaskAutoDeleteTimeoutMinutes字段

## [1.90.148] - 2025-11-4
在bmc.kepler.Chassis.EnergySavingScene下新增属性IsPowerModeSupported、PowerMode和方法GetEnergySavingStatus

## [1.90.147] - 2025-11-3
在/bmc/kepler/Debug/Systems/${SystemId}/NetworkAdaptersDebug Path 新增bmc.kepler.Debug.Systems.OpticalModules接口
接口下新增属性ExtremeValueLogIntervalSeconds

## [1.90.146] - 2025-11-3
在/bmc/kepler/Systems/:SystemId/Storage/Drives/:Id下新增接口：bmc.kepler.Systems.Storage.Drive.Diagnose
并在接口下新增方法：CollectDiagnoseData、GetDiagnoseData

## [1.90.145] - 2025-11-1
在bmc.kepler.Systems.NPUFDMService下新增HbmFaultPredictionEnabled和HbmFaultPredictionMode属性

## [1.90.144] - 2025-10-31
新增path路径/bmc/kepler/Systems/:SystemId/VirtualMachines/:VMId和资源协作接口bmc.kepler.Systems.VirtualMachine接口下新增Name，UUID属性
新增path路径/bmc/kepler/Systems/:SystemId/VirtualMachines/:VMId/TPCM和资源协作接口bmc.kepler.Systems.VirtualMachine.TPCM接口下新增MeasureEnabled，MeasureControlAllowed属性
在接口bmc.kepler.Managers.TPCM.Config下新增属性vTPCMSupported和新增方法SetStandardDigest
复用bmc.kepler.Managers.TPCM.Measured接口并新增path路径:
    /bmc/kepler/Systems/:SystemId/VirtualMachines/:VMId/TPCM/Measured/BIOS
    /bmc/kepler/Systems/:SystemId/VirtualMachines/:VMId/TPCM/Measured/SHIM
    /bmc/kepler/Systems/:SystemId/VirtualMachines/:VMId/TPCM/Measured/GRUB
    /bmc/kepler/Systems/:SystemId/VirtualMachines/:VMId/TPCM/Measured/OSCfg
    /bmc/kepler/Systems/:SystemId/VirtualMachines/:VMId/TPCM/Measured/OSKernel
    /bmc/kepler/Systems/:SystemId/VirtualMachines/:VMId/TPCM/Measured/OSInitrd

## [1.90.143] - 2025-10-30
在bmc.kepler.Systems.AirCoolingConfig下新增SpeedDeviationThresholdPercent属性

## [1.90.142] - 2025-10-30
去除不必要的描述

## [1.90.141] - 2025-10-29
新增/bmc/kepler/Systems/:SystemId/VirtualMedia/CD 接口：bmc.kepler.Systems.VirtualMedia.CD

## [1.90.140] - 2025-10-29
新增path:/bmc/kepler/Managers/${ManagerId}/NetworkProtocol/${Id}/${InstanceId}
在interface:bmc.kepler.Managers.NetworkProtocol.PortConfig下新增属性SystemId

## [1.90.139] - 2025-10-29
path: /bmc/kepler/Managers/:Id/EthernetInterfaces,
interface: bmc.kepler.Managers.EthernetInterfaces.IpCommands
新增方法:AddIpAddress、DeleteIpAddress

path: /bmc/kepler/Managers/:Id/Security/File,
interface: bmc.kepler.Managers.Security.File
新增安全代理方法Access

## [1.90.138] - 2025-10-29
bmc.kepler.Systems.NPUFDMService下新增资源协作属性HbmPatrolScrubAlarmEnabled

## [1.90.137] - 2025-10-28
MultiSystemBlackBox类名变更成SystemBlackBox
MultiSystemBMA类名变更成SystemBMA
MultiSystemCdrom类名变更成SystemCdrom
MultiSystemKeyMouse类名变更成SystemKeyMouse
MultiSystemLCD类名变更成SystemLCD
MultiSystemSP类名变更成SystemSP

## [1.90.136] - 2025-10-27
bmc.kepler.Managers.EthernetInterfaces新增Ipv6DynamicRouteRAPreferred属性

## [1.90.135] - 2025-10-25
新增上下电操作失败错误引擎

## [1.90.134] - 2025-10-25
新增path:/bmc/kepler/Systems/:SystemId/SOC/BlackBox/:Id,在该path下新增interface:bmc.kepler.Systems.SOC.BlackBox
新增path:/bmc/kepler/Systems/:SystemId/UsbDevices/BMA/:Id,在该path下新增interface:bmc.kepler.Systems.UsbDevice.Ums
新增path:/bmc/kepler/Systems/:SystemId/UsbDevices/Cdrom/:Id,在该path下新增interface:bmc.kepler.Systems.UsbDevice.Cdrom
新增path:/bmc/kepler/Systems/:SystemId/UsbDevices/KeyMouse/:Id,在该path下新增interface:bmc.kepler.Systems.UsbDevice.KeyMouse
新增path:/bmc/kepler/Systems/:SystemId/UsbDevices/LCD/:Id,在该path下新增interface:bmc.kepler.Systems.UsbDevice.LCD
新增path:/bmc/kepler/Systems/:SystemId/UsbDevices/SP/:Id,在该path下实现已新增的interface:bmc.kepler.Systems.UsbDevice.Ums
在path:/bmc/kepler/Managers/:Id/SOC/Env下的interface:bmc.kepler.Managers.SOC.Env中新增属性SystemIds

## [1.90.133] - 2025-10-25
在path:/bmc/kepler/Managers/:Id/SOC/Env下新增interface:bmc.kepler.Managers.SOC.GraphicDisplay
在interface:bmc.kepler.Managers.SOC.GraphicDisplay下新增方法SetSystemId和GetSystemId

## [1.90.132] - 2025-10-25
【修改描述】bmc.kepler.Systems.DPUCard.Metrics接口新增ActualPowerWatts属性

## [1.90.131] - 2025-10-24
【修改描述】bmc.kepler.Systems.Storage.Controller接口中新增SetMaintainPDFailHistoryState方法

## [1.90.130] - 2025-10-22
bmc.kepler.Systems.Sms.Veth新增DriverEnabled属性

## [1.90.129] - 2025-10-21
bmc.kepler.Managers.EthernetInterfaces新增IPv6DynamicRouteRAPreferred属性

## [1.90.128] - 2025-10-21
新增接口bmc.kepler.Systems.Memory.Fault
接口下新增属性PMICError

## [1.90.127] - 2025-10-21
在支持块读的器件路径下新增接口bmc.kepler.Release.Chip
新增资源协作对象路径/bmc/kepler/Chip/PowerMeter/Ina/:Id、接口bmc.kepler.Chip.PowerMeter.Ina、属性PowerMultiplier、PowerDivisor和ChipModel
在/bmc/kepler/Chip/Vrd/:Id路径下新增已定义接口bmc.kepler.Chip.BlockIO和bmc.kepler.Chip.BitIO
在/bmc/kepler/Scanner/:Id路径下新增接口bmc.kepler.Release.Scanner，并新增方法TraceDebounce
在/bmc/kepler/Systems/:SystemId/Mctp/Endpoint/:Id/:MsgType路径下新增资源协作接口bmc.kepler.Release.Mctp，并新增方法TraceMessage

## [1.90.126] - 2025-10-20
新增控制NPU HBM Row sparing和CPU MEM Row sparing开关

## [1.90.125] - 2025-10-20
bmc.kepler.Systems.PowerStrategy新增SetPowerLimitException、GetPowerLimitException方法

## [1.90.124] - 2025-10-17
bmc.kepler.Systems.PCIeDevices.PCIeDevice.RAS接口下新增BadDLLPCount BadTLPCount UnsupportedRequestCount属性

## [1.90.123] - 2025-10-17
修复部分接口描述错误

## [1.90.122] - 2025-10-16
新增bmc.kepler.Release.SOC.Coprocessor接口及方法SetLogLevel
用于问题定位场景调整安全协处理器日志等级

## [1.90.121] - 2025-10-16
去掉StartPoint属性(服务起始时间)的默认值中的反引号

## [1.90.120] - 2025-10-13
删除已废弃的自动生成代码

## [1.90.119] - 2025-10-12
删除未使用的接口模型文件

## [1.90.118] - 2025-09-28
新增功耗封顶控制模式

## [1.90.117] - 2025-09-27
支持可观测提供当前版本支持的跟踪采样率属性

## [1.90.116] - 2025-09-27
更新复位锁定方法LockCause参数

## [1.90.115] - 2025-09-26
复位锁定方法新增参数LockCause
错误引擎操作不允许中新增失败原因参数

## [1.90.114] - 2025-09-23
新增电源开关机设置方法参数取值及错误引擎

## [1.90.113] - 2025-09-23
新增资源协作接口方法支持深度还原下保留证书
path: /bmc/kepler/CertificateService
interface: bmc.kepler.CertificateService
method: BackupCertificate

## [1.90.112] - 2025-09-22
支持多网口组配置资源协作接口属性添加

## [1.90.111] - 2025-09-22
新增属性支持记录BMC固件升级状态

## [1.90.110] - 2025-09-22
新增资源协作接口属性支持升级所有分区

## [1.90.109] - 2025-09-22
精细化告警支持调测命令

## [1.90.108] - 2025-09-19
新增固件管理匹配规则方法

## [1.90.107] - 2025-09-19
新增ReplicaDrive对象

## [1.90.106] - 2025-09-19
修复弱口令字典错误信息返回,后端只修改web snmp错误码描述

## [1.90.105] - 2025-09-18
修复json文件中格式错误

## [1.90.104] - 2025-09-18
新增 path:/bmc/kepler/Chassis/:Id/FruDatas
新增 interface:bmc.kepler.Chassis.FruDatas
新增 方法:GetFruDataList 用于获取FruData列表

## [1.90.103] - 2025-09-17
bmc.kepler.Systems.HistoryTemperature新增温度类型

## [1.90.102] - 2025-09-17
修复禁用最后一个管理员用户全部接口导致无法登陆问题

## [1.90.101] - 2025-09-17
bmc.kepler.Systems.DiskCoolingConfig接口下四个温度属性广播变更信号

## [1.90.100] - 2025-09-17
修正DDRSelfTestResult描述信息

## [1.90.99] - 2025-09-16
资源协作接口属性和方法补充描述信息

## [1.90.98] - 2025-09-13
新增支持获取归属于单个处理器的内存总功耗属性

## [1.90.97] - 2025-9-15
bmc.kepler.SessionService.Sessions接口下新增SsoEnabled属性

## [1.90.95] - 2025-09-14
修复json格式错误的问题

## [1.90.95] - 2025-09-14
资源协作接口属性和方法补充描述信息

## [1.90.94] - 2025-09-14
bmc.kepler.EventService.Subscriptions.SnmpDestination接口EventFormatType属性签名由as变更为s

## [1.90.93] - 2025-09-14
资源协作接口属性和方法补充描述信息

## [1.90.92] - 2025-09-14
资源协作接口属性和方法补充描述信息

## [1.90.91] - 2025-09-14
资源协作接口属性和方法补充描述信息

## [1.90.90] - 2025-09-14
general_hardware资源协作接口属性和方法补充Example与Description

## [1.90.89] - 2025-09-13
资源协作接口属性和方法补充Example与Description

## [1.90.88] - 2025-09-12
新增 path:bmc/kepler/LogRecorder/OperationLog
新增 interface:bmc.kepler.LogRecorder.OperationLog
新增 方法:Add 用于记录操作日志

## [1.90.87] - 2025-09-11
资源协作接口属性和方法补充Example与Description

## [1.90.86] - 2025-09-11
补充oms与observability组件资源协作接口描述

## [1.90.88] - 2025-09-11
变更Battery对象HealthStatus属性emitsChangedSignal字段

## [1.90.84] - 2025-09-10
补充RAS子系统资源协作接口描述

## [1.90.83] - 2025-09-10
新增资源协作属性的example和description字段

## [1.90.83] - 2025-09-10
补充以下资源协作接口的example属性
bmc.kepler.Managers.EthernetInterfaces.DNS
bmc.kepler.Managers.Ums
bmc.kepler.Managers.Ums.BMA
bmc.kepler.Managers.Ums.SP
bmc.kepler.Managers.Ums.Upgrade
bmc.kepler.Managers.Ums.SP.Version
bmc.kepler.JobService.JobFunction

## [1.90.82] - 2025-09-10
补充以下资源协作接口的example属性
bmc.kepler.Managers.RMCPCipherSuites
bmc.kepler.Managers.SOL
bmc.kepler.Managers.SOL.Session
bmc.kepler.Managers.Rmcp.SessionService

## [1.90.81] - 2025-09-09
bmc.kepler.Chassis.SuperPodLabel 接口下增加方法SetSuperPodLabelEnabled
bmc.kepler.Products.SuperPodLabel 接口下增加方法SetSuperPodLabel

## [1.90.80] - 2025-09-08
删除Time.json中的默认值定义

## [1.90.79] - 2025-09-03
GetUpdateProgress 响应参数修改

## [1.90.78] - 2025-09-03
bmc.kepler.Systems.NetworkPort 新增属性OSLinkStatus

## [1.90.77] - 2025-09-02
新增接口bmc.kepler.Chassis.PowerSubsystem.PowerSupply.OutputControl，
接口下新增属性OutputPowerLimitWatts及方法SetOutputPowerLimitWatts
path: /bmc/kepler/Systems/:SystemId/PowerMgmt/:ID
interface: bmc.kepler.Chassis.PowerSubsystem.PowerSupply.OutputControl
method: SetOutputPowerLimitWatts
signal: PropertyUpdated

## [1.90.76] - 2025-09-01
新增  bmc_datasync 资源协作接口以及方法
path: /bmc/kepler/Managers/:Id/DataSync
interface: bmc.kepler.Managers.DataSync
method: GetProperties
signal: PropertyUpdated

## [1.90.75] - 2025-08-30
新增资源协作接口获取升级对象的升级信息
path: /bmc/kepler/Release/Systems/:SystemId/Smc
interface: bmc.kepler.Release.Systems.SmcFirmwareStatus
method: GetFirmwareObjectDetails

## [1.90.74] - 2025-08-30
新增资源协作接口bmc.kepler.Dashboard.Observability.Traces
新增资源协作接口bmc.kepler.Dashboard.Observability.Metrics
新增资源协作接口bmc.kepler.Dashboard.Observability.Logs

## [1.90.73] - 2025-08-30
新增接口bmc.kepler.Release.Storage.Drive
path: /bmc/kepler/Systems/:SystemId/Storage
interface: bmc.kepler.Release.Storage.Drive
method: GetDriveDetails

## [1.90.72] - 2025-08-29
新增 bmc_datasync remote access debug 资源协作接口以及方法
path: /bmc/kepler/Debug/RemoteAccess
interface: bmc.kepler.Debug.RemoteAccess
method: GetRemoteProperties, RemoteCall

## [1.90.71] - 2025-8-29
bmc.kepler.Systems.FruCtrl 接口下增加属性ACCycleEnabled

## [1.90.70] - 2025-08-28
新增snmp trap上报资源协作接口
path: /bmc/kepler/EventService/Subscriptions/Snmp/:Id
interface: bmc.kepler.EventService.Subscriptions.SnmpDestinations bmc.kepler.EventService.Subscriptions.SnmpDestination

## [1.90.69] - 2025-8-27
新增接口bmc.kepler.Systems.NetworkPort.Fault，接口下增加属性LinkDown
NetworkPort增加bmc.kepler.Systems.NetworkPort.Fault接口

## [1.90.68] - 2025-8-27
在资源协作接口bmc.kepler.Managers.Uart下新增以下方法UartRxConnectUartTx、 UartRxConnectPortRx、 PortTxConnectPortRx、 PortTxConnectUartTx
在资源协作路径/bmc/kepler/Managers/:Id/Uart下新增接口bmc.kepler.Managers.HisportUart, 在该资源协作接口下新增方法SetHisportUartStatus

## [1.90.67] - 2025-8-27
bmc.kepler.EventService.Subscriptions.Redfish接口EventType新增枚举值SEL并从只读修改为读写
bmc.kepler.EventService.Event接口新增属性SELRecordId

## [1.90.66] - 2025-8-26
bmc.kepler.Systems.Bios路径下的ExportFirmware新增导出路径请求参数

## [1.90.65] - 2025-8-26
NpuBoard增加bmc.kepler.Metric接口

## [1.90.64] - 2025-8-25
新增持久化调试接口

## [1.90.63] - 2025-8-23
资源interface：bmc.kepler.Systems.Bios 新增方法 ExportFirmware
应用场景：支持导出Bios Flash内容

## [1.90.62] - 2025-8-23
修改bmc.kepler.Release.Maintenance接口下Enabled属性baseType字段拼写错误的问题

## [1.90.61] - 2025-8-23
bmc.kepler.Systems.OpticalModule接口新增属性RelatedNetworkPorts

## [1.90.60] - 2025-8-22
bmc.Baidu.Chassis.Sensors接口新增方法Dump和Reset

## [1.90.59] - 2025-8-22
bmc.kepler.Systems.DataAcquisitionService 接口新增 ExportHistoryData 方法

## [1.90.58] - 2025-8-22
新增TPSU管理属性

## [1.90.57] - 2025-8-21
bmc.kepler.Managers.LogServices新增QuickDump方法

## [1.90.56] - 2025-8-21
产品导入数字证书应校验证书的有效性

## [1.90.54] - 2025-8-20
支持cli接口下的passwd命令

## [1.90.53] - 2025-8-20
支持资源树协作接口满足关键字规范要求

## [1.90.52] - 2025-8-19
bmc.kepler.Systems.PcieAddrInfo接口下新增属性Lanes、PCIeType、SlotType

## [1.90.51] - 2025-8-19
资源interface：bmc.kepler.ProductInfo.FruCtrlCapabilities新增属性
ForceRestartSupported, ForceOffSupported, PowerCycleSupported, ForcePowerCycleSupported, GlobalPowerOffSupported, GlobalRestartSupported, GlobalPowerCycleSupported
应用场景：根据机型能力，在CSR中描述本机型支持的电源操作

## [1.90.50] - 2025-8-18
新增path：/bmc/kepler/Debug/Systems/NetworkAdaptersDebug
新增interface：bmc.kepler.Debug.Systems.NetworkAdapters
新增方法：Dump，支持网卡日志转储

## [1.90.49] - 2025-8-18
新增主备管理资源协作接口

## [1.90.48] - 2025-8-18
bmc.kepler.Systems.DiskCoolingConfig接口新增属性FrontNVMeSSDMaxTemperatureCelsius, FrontHddMaxTemperatureCelsius,
RearNVMeSSDMaxTemperatureCelsius, RearHddMaxTemperatureCelsius,
bmc.kepler.Systems.Storage.Drive接口新增属性ContainerPhysicalContext 用于支持传感器显示在机箱前后位置的硬盘的最大温度

## [1.90.47] - 2025-8-18
NPU path下新增已定义接口bmc.kepler.Metric

## [1.90.46] - 2025-8-16
bmc.kepler.Systems.FDMService新增MemDynamicRemappingEnabled支持DDR4内存动态重映射开关

## [1.90.45] - 2025-8-16
/bmc/kepler/Systems/:SystemId/VrdMgmt/:Id新增实现bmc.kepler.Metric接口

## [1.90.44] - 2025-8-13
bmc.kepler.Systems.DPUCard接口下新增MulitiLogicVersion和CPLDCount属性用于支持DPU双CPLD
bmc.kepler.Systems.DPUCard接口下新增GetLLDPStatus和SetLLDPStatus方法用于获取和设置LLDP功能开关

## [1.90.43] - 2025-8-09
新增资源协作接口path： /bmc/kepler/Systems/:SystemId/Processors/GPU, 支持获取GPU总功率

## [1.90.42] - 2025-8-08
<chassis> DeviceSpecication属性定义中新增DeviceSlots槽位合集

## [1.90.41] - 2025-8-07
bmc.kepler.Managers.EthernetInterfaces.EthGroup接口新增属性AssociatedPortType Channel IpVersion

## [1.90.40] - 2025-8-06
bmc.kepler.Chip接口下修改属性HealthStatus的默认值和描述

## [1.90.39] - 2025-8-05
修复bmc.dev.PCIeCard多了一个逗号的问题

## [1.90.38] - 2025-8-05
支持客户定制一键收集接口

## [1.90.37] - 2025-8-02
支持客户定制一键收集接口

## [1.90.36] - 2025-8-02
新增属性:MaxAccountLockoutThreshold、MaxAccountLockoutDuration、MaxHistoryPasswordCount
用来配置登录失败锁定次数和时间、历史密码的最大范围

## [1.90.35] - 2025-8-02
新增bmc.kepler.IpmiService.ChannelNumberMapping接口
新增External/Internal属性

## [1.90.34] - 2025-8-01
bmc.kepler.AccountService增加SNMPv3TrapAccountChangePolicy属性

## [1.90.33] - 2025-8-01
bmc.kepler.Systems.FDMDomain.PCIeRASCollector修改DevBus、DevDevice、DevFunction属性广播属性
bmc.kepler.Systems.FDMDomain.UnknownPCIeRASCollector修改DevBus、DevDevice、DevFunction属性广播属性

## [1.90.32] - 2025-8-01
删除 SystemControl.json 中的冗余逗号

## [1.90.31] - 2025-8-01
新增电源数量不匹配资源协作属性
path: /bmc/kepler/Chassis/:ChassisId/PowerSubsystem
interface: bmc.kepler.Chassis.PowerSubsystem
property: ExpectedPSUCount, PresentPSUCount, PSUCountMismatch

## [1.90.30] - 2025-8-01
bmc.kepler.Systems.FDMDomain.CPURAS新增属性CorrectableErrorOverfrequencyCount
bmc.kepler.Systems.FDMDomain.PCIeRASCollector新增CorrectableErrorOverfrequency和TimeoutError属性
bmc.kepler.Systems.FDMDomain.UnknownPCIeRASCollector新增CorrectableErrorOverfrequency和TimeoutError属性
bmc.kepler.Systems.PCIeDevices.PCIeDevice.RAS新增CorrectableErrorOverfrequencyCount和TimeoutError属性

## [1.90.29] - 2025-7-31
bmc.kepler.Systems.PowerMgmt.OnePower.Status 接口新增 SetAlarmLatch 方法

## [1.90.28] - 2025-7-31
新增资源协作接口bmc.kepler.Systems.Led.Policy.SystemHealth
新增资源协作属性 SeverityReferenceSource

## [1.90.27] - 2025-7-31
支持ssh用户使用超长密码

## [1.90.26] - 2025-7-31
bmc.kepler.Systems.Storage.Controller下新增JbodSupported属性

## [1.90.25] - 2025-7-31
支持热复位及复位锁定

## [1.90.24] - 2025-7-30
归档GPU卡、PCIeCard、PCIeDevice的设备树接口

## [1.90.23] - 2025-7-29
添加调试接口检查：禁止调试接口定义在非调试路径下

## [1.90.22] - 2025-7-29
新增服务器节点组网配置信息

## [1.90.21] - 2025-7-28
支持跟踪、指标、日志采集及上报策略配置

## [1.90.20] - 2025-7-26
bmc.kepler.Systems.PowerMgmt.OnePower接口下新增Reset方法

## [1.90.19] - 2025-7-25
添加资源树路径冲突检查

## [1.90.18] - 2025-7-24
bmc.kepler.UpdateService.FirmwareInfo接口下属性EstimatedDuration

## [1.90.17] - 2025-7-24
bmc.kepler.Systems.PowerMgmt.OnePower.Status 接口新增 MfrSpecificStatus 属性

## [1.90.16] - 2025-7-24
bmc.kepler.Systems.Board.NpuBoard接口下新增ResetDevice方法

## [1.90.15] - 2025-7-23
bmc.kepler.Systems.PowerMgmt.OnePower.Status接口下新增电源状态CMLStatus和OtherStatus

## [1.90.14] - 2025-7-22
新增path: /bmc/kepler/Products/Ascend/HostBMCCoolingConfig
新增interface: bmc.kepler.Products.HostBMCCoolingConfig
新增属性： HostBMCCoolingTimer

## [1.90.13] - 2025-7-22
增加IPMI通道配置相关资源树协作接口实现
新增path:/bmc/kepler/AccountService/Accounts/:AccountId/Channels/:ChannelNumber
新增interface: bmc.kepler.AccountService.ManagerAccount.IpmiChannelConfig
包含属性:PrivilegeLimit、IpmiMessagingEnabled、LinkAuthenticationEnabled、CallbackRestriction、SessionLimit

## [1.90.12] - 2025-7-21
支持通过BMC升级交换板固件，支持BMC纳管交换侧

## [1.90.11] - 2025-7-21
bmc.kepler.Systems.Board.NpuBoard新增属性VRDUpgradeState
bmc.kepler.Systems.CoolingConfig新增属性MinAllowedFanSpeedEnabled
bmc.kepler.Systems.CoolingConfig新增方法SetMinAllowedFanSpeedEnabled

## [1.90.10] - 2025-7-19
新增资源协作接口bmc.kepler.Systems.ThermalTrip

## [1.90.9] - 2025-7-18
新增资源协作属性 TimeoutPolicy

## [1.90.8] - 2025-7-18
<lcn_mgmt> bmc.kepler.LCN.Card 新增属性SerialNumber和PartNumber

## [1.90.7] - 2025-7-16
新增漏液状态资源协作接口/bmc/Baidu/Managers/:ManagerId

## [1.90.6] - 2025-7-16
<event_policy> bmc.kepler.EventService.Subscriptions.Snmp接口新增属性TrapMode

## [1.90.5] - 2025-7-15
新增控制可观测功能使能状态开关

## [1.90.4] - 2025-7-15
bmc.kepler.ObservabilityService新增属性ServerIdentity

## [1.90.3] - 2025-7-14
新增资源协作方法 GetCRLStrings

## [1.90.3] - 2025-7-14
新增资源协作路径 /bmc/kepler/Managers/:ManagerId/FirmwareIntegrity/Certificates/:Id
bmc.kepler.CertificateService.Certificate 接口下新增方法 GetCertificateString

## [1.90.2] - 2025-7-12
bmc.kepler.Systems.FDMDomain.MemoryRAS新增属性LastIsolationType
bmc.kepler.Systems.ExceptionInfo新增属性DumpProcessorLogResult

## [1.90.1] - 2025-7-3
<oms> bmc.kepler.Managers.Syslog接口新增属性RELPEnabled和RELPSupported

## [1.80.89] - 2025-7-2
bmc.kepler.Systems.FDMService新增属性MemPatrolScrubAlarmEnabled

## [1.80.88] - 2025-7-1
<compute> bmc.kepler.Systems.NPUCard接口新增属性ChipHealthStatus和ChipFaultDescription

## [1.80.87] - 2025-7-1
修复UnitConfigError属性描述与实现不一致的问题
同时更新接口文档生成代码，简化排版
同时删除组件仓issue模板，使用组织通用模板

## [1.80.86] - 2025-7-1
<chassis> bmc.kepler.Systems.Led接口下新增DefaultLCSColor/DefaultOSColor属性

## [1.80.85] - 2025-6-30
<bios> bmc.kepler.Systems.BootOptions接口下新增BootOptionPolicy和PreviousBootSourceOverrideTarget属性

## [1.80.84] - 2025-6-30
新增path:/bmc/kepler/Bus/I3cOverLocalBus/:Id
新增path:/bmc/kepler/Chip/CpldChip/:Id

## [1.80.83] - 2025-6-28
<storage> bmc.kepler.Systems.Storage.Controller接口新增Epdsupported属性

## [1.80.82] - 2025-6-25
bmc.kepler.Systems.Memory接口新增Technology属性

## [1.80.81] - 2025-6-18
<firmware_mgmt> bmc.kepler.UpdateService接口新增UpgradeMode属性
<firmware_mgmt> bmc.kepler.UpdateService接口新增GetUpdateProgress、GetPendingFirmwareList方法

## [1.80.80] - 2025-6-24
bmc.kepler.UpdateService.FirmwareInventory接口新增GetAllFirmwareInfo方法

## [1.80.79] - 2025-6-24
bmc.kepler.Managers.SerialManagement下新增SrcSerial、DestSerial

## [1.80.78] - 2025-6-21
bmc.kepler.Managers.Ntp.Auth下新增方法ImportGroupKeyAsync

## [1.80.77] - 2025-6-21
bmc.kepler.Systems.PowerMgmt.OnePower.Status下新增EquipmentMode
bmc.kepler.Systems.HistoryTemperature下新增TemperatureName 修改TemperatureType描述
bmc.kepler.Systems.EnergyMetric下CollectPowerHistoryData ResetPowerHistoryData GetPowerHistoryData 新增参数枚举

## [1.80.76] - 2025-6-21
新增path: /bmc/kepler/Debug/PowerStrategy, interface: bmc.kepler.Debug.EnergySavingMeasurement和方法SetPeriod
新增path: /bmc/kepler/Debug/PowerStrategy, interface: bmc.kepler.Debug.PowerCapping, 方法: SimulatePowerCappingTask和SimulatePowerCappingConfig
在path: /bmc/kepler/Systems/:SystemId/PowerMgmt/:ID下, 新增interface: bmc.kepler.Release.OnePower.Collector, 方法: GetFanSpeed和GetRegisterValue
将接口bmc.kepler.Debug.BlackBox和其方法DumpPsuBlackbox放置新增路径/bmc/kepler/Debug/Chassis/:ChassisId/PowerMgmt/:ID下
新增path: /bmc/kepler/Debug/ThermalMgmt, interface: bmc.kepler.Debug.PidConfiguration, 方法: GetVersion, SetPidPrintMode, SetPidConfigItem
在path: /bmc/kepler/ThermalMgmt下, 新增interface: bmc.kepler.Release.ThermalControlStrategy, 方法: GetActivatedPolicy

## [1.80.75] - 2025-6-19
path:/bmc/kepler/Managers/:ManagerId/SOC/Env下
新增interface:bmc.kepler.Managers.SOC.DDR, 接口下新增方法:SetTestParameters, GetTestParameters
新增interface:bmc.kepler.Managers.SOC.GMac, 接口下新增方法:SetMacAddr, GetMacAddr

## [1.80.74] - 2025-6-19
修复trust组件自动生成代码失败的问题

## [1.80.73] - 2025-6-17
bmc.kepler.UpdateService.FirmwareRestore接口配置修正

## [1.80.72] - 2025-6-17
GetControllerInfo中Dictionary类型bugfix

## [1.80.71] - 2025-6-17
<错误引擎>补充上电失败错误引擎

## [1.80.70] - 2025-6-17
<bmc_upgrade>bmc.kepler.UpdateService.ManagerVersion新增方法GetReleaseVersion

## [1.80.69] - 2025-6-17
支持安全管理mdbctl相关资源
新增bmc.kepler.Debug.Managers.SecureBoot接口及GetSecureBootConfiguration方法

## [1.80.68] - 2025-6-16
支持基于Hisport2.0扩展I2c,SPI,Jtag总线通道接口路径

## [1.80.67] - 2025-6-16
<bmc_soc>删除bmc.kepler.Managers.SOC接口的BMC软复位原因属性ResetCause

## [1.80.66] - 2025-6-15
新增自定义错误IncompleteForeignConfig和NoForeignConfig

## [1.80.65] - 2025-6-13
资源树协作接口属性和方法Description字段修改

## [1.80.64] - 2025-6-13
新增path /bmc/ByteDance/Managers/:Id/LogServices

## [1.80.63] - 2025-6-13
bmc.kepler.Managers.Time接口下新增SetRtcTime

## [1.80.62] - 2025-6-10
增加资源协作接口变更统计TopN的资源协作接口实现
新增/bmc/kepler/Release/Performance/Redfish
新增bmc.kepler.Release.Performance.Metrics.PropertyChange
新增方法：GetStatus、SetStatus、GetReport

## [1.80.61] - 2025-6-9
<bmc_time> 修改错误引擎UploadNTPSecureGroupKeysuccessfully、NTPSecureGroupKeyTooLarge、NTPGroupKeyNotSupported、UploadNTPSecureGroupKeyFailed描述

## [1.80.60] - 2025-6-7
支持硬件子系统组件自定义命令
<storage> bmc.kepler.Release.Storage.Controller新增GetControllerInfo方法

## [1.80.59] - 2025-6-6
bmc.kepler.Chassis.PowerSubsystem.PowerSupplies接口新增UpgradeStatus

## [1.80.58] - 2025-6-6
<bmc_datasync> 新增 bmc.kepler.Debug.RemoteAccess.CAN 接口

## [1.80.57] - 2025-6-5
<power_mgmt> 新增bmc.kepler.Systems.PowerMgmt接口

## [1.80.56] - 2025-6-5
bmc.kepler.Systems.Storage.Drives接口下新增LogAutoCollectEnable、LogAutoCollectInterval属性，新增StartCollectLog方法

## [1.80.55] - 2025-6-4
支持安全管理满足资源树协作接口关键字规范要求

## [1.80.54] - 2025-6-3
<power_mgmt> bmc.kepler.Systems.PowerMgmt.OnePower接口下新增属性LineInputVoltageType
<power_mgmt> bmc.kepler.Systems.PowerMgmt.OnePower.EfficiencyCurve接口下新增属性PowerLevel

## [1.80.53] - 2025-6-3
<firmware_mgmt>bmc.kepler.UpdateService.FirmwareActive接口新增StartActiveWithPolicy方法

## [1.80.52] - 2025-6-3
<thermal_mgmt> bmc.kepler.Systems.CoolingRequirement下新增属性SensorName

## [1.80.51] - 2025-6-3
支持通用硬件满足资源树协作接口关键字规范要求

## [1.80.50] - 2025-6-2
新增bmc.kepler.UpdateService.FirmwareRestor接口,接口新增InitiateRestoreAction方法

## [1.80.49] - 2025-5-30
<account> 新增bmc.kepler.AccountService.Roles接口,接口新增ExtendedCustomRoleEnabled属性,新增New方法
<account> bmc.kepler.AccountService.Role接口新增Delete方法
<account> RoleType枚举类新增CustomRole5~16

## [1.80.48] - 2025-5-30
<power_strategy> bmc.kepler.Systems.PowerStrategy接口下新增RedundancyMode属性
<power_strategy> bmc.kepler.Chassis.EnergySavingMeasurement接口下新增RecommendedPowerMode、RecommendedActivePowerSupplies属性

## [1.80.47] - 2025-5-30
支持bmc.kepler.Managers.SOC接口新增BMC软复位原因属性

## [1.80.46] - 2025-5-30
修复接口路径映射配置内容错误的问题

## [1.80.45] - 2025-5-30
新增资源协作路径/bmc/kepler/Chip/Rtc/:Id

## [1.80.44] - 2025-5-29
AccountPolicy资源新增Visible、Deletable属性

## [1.80.43] - 2025-5-29
资源树协作接口整改

## [1.80.42] - 2025-5-29
bmc.kepler.Systems.AirCoolingConfig和LiquidCoolingConfig下添加ActiveAlgorithm属性

## [1.80.41] - 2025-5-29
支持基础服务满足资源树协作接口关键字规范要求

## [1.80.40] - 2025-5-28
bmc.kepler.AccountService.CertificateAuthentication新增属性InterChassisAuthEnabled、InterChassisValidation

## [1.80.39] - 2025-5-27
支持mdb_interface满足资源协作接口关键字规范要求

## [1.80.38] - 2025-5-27
新增bmc.kepler.IpmiService.MasterWriteRead接口以及BusSwitchEnabled属性

## [1.80.37] - 2025-5-26
bmc.kepler.Systems.FDMDomain.MemoryRAS新增属性CorrectableECCOverfrequencyCount

## [1.80.36] - 2025-5-24
<bmc_network> 新增bmc.kepler.Managers.LLDPReceive接口

## [1.80.34] - 2025-5-23
<pcie_device> bmc.kepler.Systems.PCIeDevices.PCIeDevice接口下新增BaseClassCode SubClassCode ProgrammingInterface属性
<pcie_device> bmc.kepler.Systems.PCIeDevices.PCIeDevice.RAS接口下新增FatalErrorCount NonFatalErrorCount属性

## [1.80.34] - 2025-5-20
<bmc_time> bmc.kepler.Managers.Ntp接口下新增CurrentPollingIntervalSeconds属性

## [1.80.33] - 2025-5-20
<product_mgmt> bmc.kepler.Systems.Product.Custom新增CustomerRedfishVersion属性

## [1.80.32] - 2025-5-20
<oms> bmc.kepler.Managers.Configurations删除资源树方法中的privilege属性关键字

## [1.80.31] - 2025-5-17
<firmware_mgmt> bmc.kepler.UpdateService接口新增ParallelUpdate方法
新增ConcurrentReachedLimit错误引擎

## [1.80.30] - 2025-5-19
<general_hardware> bmc.kepler.Systems.DPUCard.System接口下新增BiosBootStage属性

## [1.80.29] - 2025-5-19
<bmc_time> bmc.kepler.Managers.Ntp.Auth 新增资源树方法ImportGroupKeyWithContent
<bmc_time> 新增错误引擎UploadNTPSecureGroupKeysuccessfully、NTPSecureGroupKeyTooLarge、NTPGroupKeyNotSupported、UploadNTPSecureGroupKeyFailed

## [1.80.29] - 2025-5-19
<product_mgmt> 资源树协作接口整改

## [1.80.28] - 2025-5-19
<redfish> bmc.kepler.TelemetryService bmc.kepler.EventService.Subscriptions.Destination bmc.kepler.TelemetryService.MetricDefinitions bmc.kepler.TelemetryService.MetricReportDefinition
bmc.kepler.TelemetryService.MetricReportDefinitions bmc.kepler.TelemetryService.MetricReports bmc.kepler.TelemetryService.Triggers bmc.kepler.TelemetryService.TriggersCollection 删除资源树方法的privilege

## [1.80.27] - 2025-5-16
<certificate> bmc.kepler.CertificateServicebmc.kepler.CertificateService新增国密csr生成接口GenerateCSR

## [1.80.26] - 2025-5-17
bmc.kepler.Systems.FDMDomain.MemoryRAS新增属性DataPoisoned

## [1.80.25] - 2025-5-17
<ums>bmc.kepler.Managers.Ums 删除资源树方法的privilege
<ums>bmc.kepler.Managers.Ums.BMA 删除资源树方法的privilege
<ums>bmc.kepler.Managers.Ums.Upgrade 删除资源树属性的options/volatile
<ums>bmc.kepler.Managers.Ums.SP.Plugin 删除资源树方法的privilege
<ums>bmc.kepler.Managers.Ums.SP.Schema 删除资源树方法的privilege

## [1.80.24] - 2025-5-16
bmc.kepler.Systems.Processor.NPU接口新增HBMSingleBitIsolatedPages、HBMMultiBitIsolatedPages

## [1.80.23] - 2025-5-15
新增接口bmc.kepler.Systems.FDMDomain.UnknownPCIeRASCollector

## [1.80.22] - 2025-5-15
bmc.kepler.Managers.Package去除Customer属性的范围约束

## [1.80.21] - 2025-5-15
<product_mgmt> bmc.kepler.AssetService.AssetList新增GetSpecificAssetList方法
bmc.kepler.Inventory.Hardware新增Model属性

## [1.80.20] - 2025-5-12
<general_hardware> bmc.kepler.Systems.Processor.GPU新增PrimaryGPUTemperatureCelsius属性

## [1.80.19] - 2025-5-12
修复接口路径映射文件BEP不一致的问题

## [1.80.18] - 2025-5-10
<compute> bmc.kepler.Systems.Processor.CPU接口新增ProcessorIDString属性类型

## [1.80.17] - 2025-5-10
<tpcm> 新增接口bmc.kepler.Systems.TPCM.Component
新增path /bmc/kepler/Systems/:SystemId/TPCM/Measured/NPU(GPU、CPU、NetworkAdapter)/:Id
bmc.kepler.Managers.TPCM.Config接口新增方法RefreshComponentStandardDigest

## [1.80.15] - 2025-5-10
<network_adapter> BandwidthUsagePercent属性支持信号变更

## [1.80.15] - 2025-5-10
<Storage> bmc.kepler.Systems.Storage.Drive.NVMe接口新增方法GetSmartInfo,SendNvmeMICommand,GetTelemetryData,GetIdentifyData

## [1.80.14] - 2025-5-10
<observability> 修改/bmc/kepler/Observability为/bmc/kepler/ObservabilityService
bmc.kepler.Observability为bmc.kepler.ObservabilityService
/bmc/kepler/Observability/Receivers/:Id为/bmc/kepler/ObservabilityService/Receivers/:Id
bmc.kepler.Observability.Receiver为bmc.kepler.ObservabilityService.Receiver

## [1.80.13] - 2025-5-09
<trust> 新增接口bmc.kepler.Managers.SecureBoot、bmc.kepler.Managers.SecureBoot.Signature

## [1.80.12] - 2025-5-09
<power_mgmt> bmc.kepler.Systems.PowerMgmt.OnePower接口下EfficiencyCurve属性修改为Array

## [1.80.11] - 2025-5-08
bmc.kepler.Systems.EnergyMetric新增MinPowerWatts、MaxPowerWatts属性
新增bmc.kepler.Chassis.ThermalSubsystem.Metrics 包含TotalPowerWatts、EnergyConsumptionkWh、ResetTime属性 ResetMetrics方法

## [1.80.10] - 2025-5-07
<compute> bmc.kepler.Systems.Processor.NPU接口新增DumpLog

## [1.80.9] - 2025-5-06
<account> bmc.kepler.AccountService.AccountPolicy接口新增AllowedLoginInterfaces
<iam> bmc.kepler.AccountService.RemoteGroups接口新增AllowedLoginInterfaces

## [1.80.8] - 2025-5-06
新增设置/查询风扇控制模式持久化属性/方法
bmc.kepler.Systems.AirCoolingConfig下新增CtrlModePersistType、CtrlModeResetPersist、ManualSpeedPercentResetPersist、CtrlModePoweroffPersist、ManualSpeedPercentPoweroffPersist属性 新增SetCtrlModePersist方法
bmc.kepler.Systems.CoolingFan下新增ManualSpeedPercentResetPersist、ManualSpeedPercentPoweroffPersist属性

## [1.80.7] - 2025-5-05
bmc.kepler.CertificateService.CA资源下新增RedfishSchemaVersion属性

## [1.80.6] - 2025-4-30
<bmc_network> bmc.kepler.Managers.EthernetInterfaces.EthGroup接口方法SetIpAddr/SetDefaultGateway/SetIpv6Addr/SetIpv6DefaultGateway删掉响应参数

## [1.80.5] - 2025-4-30
<power_mgmt> bmc.kepler.Systems.PowerMgmt.OnePower接口下新增EfficiencyCurve接口
新增bmc.kepler.Systems.PowerMgmt.OnePower.EfficiencyCurve.EfficiencyCurve属性

## [1.80.4] - 2025-4-29
<bmc_network> bmc.kepler.Managers.EthernetInterfaces.MgmtPort接口下新增NegotiatedSpeedMbps属性

## [1.80.3] - 2025-4-29
<observability> bmc.kepler.Observability.Receiver接口新增Protocol属性

## [1.80.2] - 2025-4-28
<bios> bmc.kepler.Systems.Bios接口属性SystemStartupState补充枚举值与描述

## [1.80.1] - 2025-4-28
新增/bmc/kepler/Observability路径，bmc.kepler.Observability接口
新增/bmc/kepler/Observability/Receivers/:id路径，bmc.kepler.Observability.Receiver接口

## [1.70.122] - 2025-4-28
<trust> 支持固件加密密钥导入IPMI命令, 新增自定义错误

## [1.70.121] - 2025-4-28
bmc.kepler.Managers.FaultPrediction 新增属性 OpticalModuleDeteriorationPredictionEnabled

## [1.70.120] - 2025-4-28
<firmware_mgmt> 升级信号和接口支持并行升级扩展参数

## [1.70.119] - 2025-4-27
<compute> 支持扩展NPU等AI卡的资产清单数据

## [1.70.118] - 2025-4-27
<pcie_device> bmc.kepler.Systems.PCIeDevices.PCIeDevice接口新增属性MaxPCIeType、NegotiatedPCIeType

## [1.70.117] - 2025-4-27
<bmc_network> bmc.kepler.Systems.OpticalModule接口RevisionNumber描述补充
<bmc_network> bmc.kepler.Systems.OpticalModule.Power接口PowerClass描述补充

## [1.70.116] - 2025-4-27
<bmc_network> bmc.kepler.Systems.NetworkAdapter接口新增MaxOperatingTemperatureCelsius
<bmc_network> bmc.kepler.Systems.OpticalModule接口新增RevisionNumber、ModuleState
<bmc_network> bmc.kepler.Systems.OpticalModule.Power接口新增PowerClass、PowerCapacityWatts

## [1.70.115] - 2025-4-24
bmc.kepler.EventService.Event 新增属性 RecordId, 用于表示bmc启动前已上报event事件的事件记录标识

## [1.70.114] - 2025-4-25
<public> 新增issue模板

## [1.70.113] - 2025-4-25
<hwdiscovery> bmc.kepler.Connector接口下的Reload方法入参添加Bom参数

## [1.70.112] - 2025-4-24
<bmc_network> bmc.kepler.Managers.EthernetInterfaces接口下新增MinVLANId和MaxVLANId属性
<bmc_network> bmc.kepler.Managers.EthernetInterfaces.MgmtPort接口下新增MinVLANId和MaxVLANId属性

## [1.70.111] - 2025-4-22
bmc.kepler.Managers.GraphicalConsole与bmc.kepler.Managers.VncService接口新增DisableKeyboardDuringBiosStartup字段

## [1.70.110] - 2025-4-18
bmc.kepler.Systems.FDMDomain.MemoryRAS 新增属性 CorrectableECCStormBurstCount
bmc.kepler.Systems.MemoryChannel 新增属性 CorrectableECCStormBurstEvent

## [1.70.109] - 2025-4-18
bmc.kepler.Systems.FDMDomain.CPURAS 新增属性 CurrentPeriodCacheUncorrectableECCErrorCount、LifeTimeCacheUncorrectableECCErrorCount
bmc.kepler.Systems.FDMDomain.MemoryRAS 新增属性 CurrentPeriodUncorrectableECCErrorCount、LifeTimeUncorrectableECCErrorCount
bmc.kepler.Systems.FDMDomain.MemoryOnChipRAS 新增属性 IsolationStatus
/bmc/kepler/Systems/:SystemId/FDMDomain/CPURAS/:Id 新增bmc.kepler.Systems.FDMDomain.MemoryOnChipRAS接口

## [1.70.108] - 2025-4-17
bmc.kepler.Managers.EthernetInterfaces.EthGroup接口新增ipv4和ipv6对象的属性和方法

## [1.70.107] - 2025-4-12
<general_hardware> 新增路径 /bmc/kepler/UpdateService/Maintenance/Csr
<general_hardware> 新增接口 bmc.kepler.UpdateService.Maintenance
修改bmc.ByteDance.Chassis.PCIeStatus的Health为发送信号
Connector新增Reload方法

## [1.70.106] - 2025-4-10
<lcn_mgmt> lcn组件新增资源树Path和Interface
<lcn_mgmt> 新增接口 bmc.kepler.LCN.Card
<lcn_mgmt> 新增接口 bmc.kepler.LCN.Manage
<lcn_mgmt> 新增接口 bmc.kepler.LCN.Version
<lcn_mgmt> 新增路径 /bmc/kepler/LCNs/:Id/NetworkConfig/Interfaces/:Id
<lcn_mgmt> 新增接口 bmc.kepler.LCN.NetworkConfig
<lcn_mgmt> 新增属性 EventManagedEnabled
<lcn_mgmt> bmc.kepler.LCN.Manage接口新增BMCETHId

## [1.70.104] - 2025-4-10
资源树方法、属性补充描述信息

## [1.70.103] - 2025-4-9
新增/bmc/kepler/Release/Maintenance路径,新增bmc.kepler.Release.Maintenance接口,新增Dloglimit方法;

## [1.70.102] - 2025-4-9
<chassis> bmc.kepler.chassis.SuperPodLabel新增属性SuperPodEnabled

## [1.70.101] - 2025-3-27
增加custom消息AccountMustResetPassword

## [1.70.100] - 2025-3-26
bmc.kepler.Managers.Syslog.Server接口新增OperationLogEnabled、SecurityLogEnabled、EventLogEnabled、IntrusionDetectionLogEnabled、
SysComLogEnabled、BmcComLogEnabled、DiagnosticLogEnabled、ChipLogEnabled属性

## [1.70.99] - 2025-3-30
openUBMC开源
